# -*- coding: utf-8 -*-
import sys
from PyQt5.QtWidgets import QMainWindow, QAction, qApp, QApplication, QLabel
from PyQt5.QtGui import QIcon


class Example(QMainWindow):

    def __init__(self):
        super().__init__()
        self.X = 0
        self.Y = 0

        self.initUI()

    def mouseMoveEvent(self, e):
        # Получение текущих координат мыши
        # Не забудьте нажать кнопку мыши!
        s = 'X = ' + str(e.x()) + ', Y = ' + str(e.y())
        # Вывод их в секцию временных сообщений
        self.statusBar().showMessage(s)
        

    def initUI(self):

        exitAction = QAction(QIcon('exit.png'), '&Exit', self)
        exitAction.setShortcut('Ctrl+Q')
        exitAction.triggered.connect(qApp.quit)

        menubar = self.menuBar()
        fileMenu = menubar.addMenu('&File')
        fileMenu.addAction(exitAction)

        # ======= Добавили панель инструментов
        toolbar = self.addToolBar('Exit')
        toolbar.addAction(exitAction)
        # ======= Завершение добавления

        # ======= Добавили строку состояния
        stBar = self.statusBar()
        lb = QLabel('Hello!')
        # Выводит виджет в постоянную секцию
        stBar.insertPermanentWidget(0, lb)
        # ======= Завершение добавления

        self.setGeometry(300, 300, 300, 200)
        self.setWindowTitle('Menubar, Toolbar & Statusbar')
        self.show()


if __name__ == '__main__':

    app = QApplication(sys.argv)
    ex = Example()
    sys.exit(app.exec_())
